{
  gROOT->Reset();
  TCanvas * c1 = new TCanvas("c1","b0",1200,1200);
  c1->Divide(7,7);

 TCanvas * c2 = new TCanvas("c2","b1",1200,1200);
  c2->Divide(7,7);

TCanvas * c3 = new TCanvas("c3","b2",1200,1200);
  c3->Divide(7,7);

TCanvas * c4 = new TCanvas("c4","b3",1200,1200);
  c4->Divide(7,7);
  // run map in 20 mm steps
  //           y 
  //   0,41,42,43,44,45, 0  
  //  31,15,11, 7,17,23,26
  //  32,14,10, 6,16,22,27
  //x 33, 3, 2, 1, 4, 5,28 
  //  34,18,12, 8,20,24,29
  //  35,19,13, 9,21,25,30
  //   0,36,37,38,39,40, 0

  Int_t fileorder[7][7] = {{0,41,42,43,44,45,0},{31,15,11,7,17,23,26},{32,14,10,6,16,22,27},{33,3,2,1,4,5,28},{34,18,12,8,20,24,29},{35,19,13,9,21,25,30},{0,36,37,38,39,40,0}};


  TFile *runfile[49];
  TLatex label[49];
  Int_t counter = 0;
  for (int i = 0;i<7;i++){
    for (int j = 0;j<7;j++){
      if (fileorder[j][i]==0) {
	counter++;
	continue;
      }
      runfile[counter] = new TFile(Form("/work/leverington/beamprofilemonitor/hitdata/HIT_17_12_2017/root/run%i.root",fileorder[i][j]),"READ");

      c1->cd(counter+1);
      sumvector_b0->Draw();
      label[counter].DrawLatexNDC(0.5,0.95,Form("Run%i",fileorder[i][j]));

      c2->cd(counter+1);
      sumvector_b1->Draw();
      label[counter].DrawLatexNDC(0.5,0.95,Form("Run%i",fileorder[i][j]));

      c3->cd(counter+1);
      sumvector_b2->Draw();
      label[counter].DrawLatexNDC(0.5,0.95,Form("Run%i",fileorder[i][j]));

      c4->cd(counter+1);
      sumvector_b3->Draw();
      label[counter].DrawLatexNDC(0.5,0.95,Form("Run%i",fileorder[i][j]));


      runfile[counter]->Close();
      counter++;
	}
  }
}
